Index: main/waeup.fceokene/trunk/src/waeup/fceokene/interswitch/tests.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/interswitch/tests.py	(revision 13021)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/interswitch/tests.py	(revision 13022)
@@ -50,5 +50,5 @@
     def setUp(self):
         super(InterswitchTestsStudents, self).setUp()
-        self.certificate.study_mode = 'nce_ft'
+        self.certificate.study_mode = 'pd_ft'
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
         self.browser.open(self.payments_path)
@@ -65,5 +65,5 @@
                            self.browser.contents)
         self.assertTrue(
-            '<span>14975.0</span>' in self.browser.contents)
+            '<span>35450.0</span>' in self.browser.contents)
         self.payment_url = self.browser.url
         self.payment = self.student['payments'][self.value]
@@ -95,8 +95,8 @@
                            self.browser.contents)
         self.assertTrue(
-            '<input type="hidden" name="amount" value="1497500" />'
-            in self.browser.contents)
-        self.assertTrue(
-            'item_name="School Fee" item_amt="1182500" bank_id="117" acct_num="1013780934"'
+            '<input type="hidden" name="amount" value="3545000" />'
+            in self.browser.contents)
+        self.assertTrue(
+            'item_name="School Fee" item_amt="3230000" bank_id="117" acct_num="1013780934"'
             in self.browser.contents)
         self.assertTrue(
@@ -108,4 +108,5 @@
 
         # Third semester payment
+        self.certificate.study_mode = 'nce_ft'
         self.app['configuration']['2004'].third_semester_fee = 10000.0
         self.browser.open(self.payments_path)
@@ -253,5 +254,5 @@
         self.assertMatches('...Total Amount Authorized:...',
                            self.browser.contents)
-        self.assertEqual(self.student.current_mode, 'nce_ft')
+        self.assertEqual(self.student.current_mode, 'pd_ft')
         self.assertMatches(
             '...<input type="hidden" name="amount" value="4000000" />...',
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/students/tests/test_browser.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/students/tests/test_browser.py	(revision 13021)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/students/tests/test_browser.py	(revision 13022)
@@ -138,6 +138,5 @@
         self.browser.getControl(name="form.p_category").value = ['third_semester']
         self.browser.getControl("Create ticket").click()
-        self.assertMatches('...ticket created...',
-                           self.browser.contents)
+        self.assertMatches('...ticket created...', self.browser.contents)
         self.browser.open(self.payments_path + '/addop')
         self.browser.getControl(
@@ -157,4 +156,5 @@
         self.assertMatches('...ticket created...',
                            self.browser.contents)
+        self.certificate.study_mode = 'pd_ft'
         self.browser.open(self.payments_path + '/addop')
         self.browser.getControl(name="form.p_category").value = ['schoolfee']
@@ -224,9 +224,9 @@
 
         IWorkflowState(self.student).setState('cleared')
-        self.certificate.study_mode = 'nce_ft'
-        error, payment = utils.setPaymentDetails('schoolfee',self.student)
-        self.assertEqual(payment.p_level, 100)
-        self.assertEqual(payment.p_session, 2004)
-        self.assertEqual(payment.amount_auth, 14975.0)
+        self.certificate.study_mode = 'pd_ft'
+        error, payment = utils.setPaymentDetails('schoolfee',self.student)
+        self.assertEqual(payment.p_level, 100)
+        self.assertEqual(payment.p_session, 2004)
+        self.assertEqual(payment.amount_auth, 35450.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
@@ -241,5 +241,5 @@
         self.assertEqual(payment.p_level, 200)
         self.assertEqual(payment.p_session, 2005)
-        self.assertEqual(payment.amount_auth, 14025.0)
+        self.assertEqual(payment.amount_auth, 35450.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/students/utils.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/students/utils.py	(revision 13021)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/students/utils.py	(revision 13022)
@@ -203,4 +203,8 @@
                     else:
                         amount = 14825
+                    ################################
+                    # Payment disabled on 29/05/15 #
+                    ################################
+                    amount = 0.0
                 # NCE II
                 elif student.current_level in (100, 110, 120) and \