Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/browser.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/browser.py	(revision 13057)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/browser.py	(revision 13058)
@@ -26,12 +26,12 @@
     StudentPersonalDisplayFormPage, StudentPersonalManageFormPage,
     StudentClearanceManageFormPage, StudentClearanceEditFormPage,
-    StudentClearanceDisplayFormPage, OnlinePaymentFakeApprovePage,
-    ExportPDFClearanceSlipPage, StudentBaseManageFormPage,
+    StudentClearanceDisplayFormPage, OnlinePaymentFakeApproveView,
+    ExportPDFClearanceSlip, StudentBaseManageFormPage,
     StudentBaseDisplayFormPage,
     StudentBaseEditFormPage, StudentPersonalEditFormPage,
     OnlinePaymentDisplayFormPage, OnlinePaymentAddFormPage,
-    OnlinePaymentBreadcrumb, ExportPDFPaymentSlipPage,
-    ExportPDFCourseRegistrationSlipPage,
-    ExportPDFBedTicketSlipPage,
+    OnlinePaymentBreadcrumb, ExportPDFPaymentSlip,
+    ExportPDFCourseRegistrationSlip,
+    ExportPDFBedTicketSlip,
     StudentFilesUploadPage, emit_lock_message)
 from waeup.kofa.students.interfaces import IStudentsUtils
@@ -114,5 +114,5 @@
         return form_fields
 
-class NigeriaExportPDFClearanceSlipPage(ExportPDFClearanceSlipPage):
+class NigeriaExportPDFClearanceSlip(ExportPDFClearanceSlip):
     """Deliver a PDF slip of the context.
     """
@@ -162,5 +162,5 @@
         return form_fields
 
-class NigeriaExportPDFCourseRegistrationSlipPage(ExportPDFCourseRegistrationSlipPage):
+class NigeriaExportPDFCourseRegistrationSlip(ExportPDFCourseRegistrationSlip):
     """Deliver a PDF slip of the context.
     """
@@ -185,5 +185,5 @@
         'p_category')
 
-class NigeriaOnlinePaymentFakeApprovePage(OnlinePaymentFakeApprovePage):
+class NigeriaOnlinePaymentFakeApproveView(OnlinePaymentFakeApproveView):
     """ Disable payment approval view for students.
 
@@ -197,5 +197,5 @@
         return
 
-class NigeriaExportPDFPaymentSlipPage(ExportPDFPaymentSlipPage):
+class NigeriaExportPDFPaymentSlip(ExportPDFPaymentSlip):
     """Deliver a PDF slip of the context.
     """
@@ -208,5 +208,5 @@
         'adm_code', 'sex', 'email', 'date_of_birth', 'current_level')
 
-class NigeriaExportPDFBedTicketSlipPage(ExportPDFBedTicketSlipPage):
+class NigeriaExportPDFBedTicketSlip(ExportPDFBedTicketSlip):
     """Deliver a PDF slip of the context.
     """
Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/viewlets.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/viewlets.py	(revision 13057)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/viewlets.py	(revision 13058)
@@ -22,5 +22,5 @@
 from waeup.kofa.students.fileviewlets import (
     StudentFileDisplay, StudentFileUpload, StudentImage)
-from waeup.kofa.students.browser import ExportPDFClearanceSlipPage
+from waeup.kofa.students.browser import ExportPDFClearanceSlip
 
 from kofacustom.nigeria.interfaces import MessageFactory as _
@@ -46,5 +46,5 @@
 
 class AcceptanceLetterSlip(AcceptanceLetterDisplay):
-    grok.view(ExportPDFClearanceSlipPage)
+    grok.view(ExportPDFClearanceSlip)
 
 class AcceptanceLetterUpload(StudentFileUpload):
@@ -75,5 +75,5 @@
 
 class LGAIdentificationSlip(LGAIdentificationDisplay):
-    grok.view(ExportPDFClearanceSlipPage)
+    grok.view(ExportPDFClearanceSlip)
 
 class LGAIdentificationUpload(StudentFileUpload):
@@ -103,5 +103,5 @@
 
 class FirstSittingResultSlip(FirstSittingResultDisplay):
-    grok.view(ExportPDFClearanceSlipPage)
+    grok.view(ExportPDFClearanceSlip)
 
 class FirstSittingResultUpload(StudentFileUpload):
@@ -131,5 +131,5 @@
 
 class SecondSittingResultSlip(SecondSittingResultDisplay):
-    grok.view(ExportPDFClearanceSlipPage)
+    grok.view(ExportPDFClearanceSlip)
 
 class SecondSittingResultUpload(StudentFileUpload):
@@ -159,5 +159,5 @@
 
 class HigherQualificationResultSlip(HigherQualificationResultDisplay):
-    grok.view(ExportPDFClearanceSlipPage)
+    grok.view(ExportPDFClearanceSlip)
 
 class HigherQualificationResultUpload(StudentFileUpload):
@@ -187,5 +187,5 @@
 
 class SecondHigherQualificationResultSlip(SecondHigherQualificationResultDisplay):
-    grok.view(ExportPDFClearanceSlipPage)
+    grok.view(ExportPDFClearanceSlip)
 
 class SecondHigherQualificationResultUpload(StudentFileUpload):
@@ -219,5 +219,5 @@
 
 class AdvancedLevelResultSlip(AdvancedLevelResultDisplay):
-    grok.view(ExportPDFClearanceSlipPage)
+    grok.view(ExportPDFClearanceSlip)
 
 class AdvancedLevelResultUpload(StudentFileUpload):
@@ -247,5 +247,5 @@
 
 class CertificateSlip(CertificateDisplay):
-    grok.view(ExportPDFClearanceSlipPage)
+    grok.view(ExportPDFClearanceSlip)
 
 class CertificateUpload(StudentFileUpload):
@@ -275,5 +275,5 @@
 
 class SecondCertificateSlip(SecondCertificateDisplay):
-    grok.view(ExportPDFClearanceSlipPage)
+    grok.view(ExportPDFClearanceSlip)
 
 class SecondCertificateUpload(StudentFileUpload):
@@ -307,5 +307,5 @@
 
 class ThirdCertificateSlip(ThirdCertificateDisplay):
-    grok.view(ExportPDFClearanceSlipPage)
+    grok.view(ExportPDFClearanceSlip)
 
 class ThirdCertificateUpload(StudentFileUpload):
@@ -339,5 +339,5 @@
 
 class EvidenceNameSlip(EvidenceNameDisplay):
-    grok.view(ExportPDFClearanceSlipPage)
+    grok.view(ExportPDFClearanceSlip)
 
 class EvidenceNameUpload(StudentFileUpload):
@@ -367,5 +367,5 @@
 
 class ResultStatementSlip(ResultStatementDisplay):
-    grok.view(ExportPDFClearanceSlipPage)
+    grok.view(ExportPDFClearanceSlip)
 
 class ResultStatementUpload(StudentFileUpload):
@@ -395,5 +395,5 @@
 
 class RefereeLetterSlip(RefereeLetterDisplay):
-    grok.view(ExportPDFClearanceSlipPage)
+    grok.view(ExportPDFClearanceSlip)
 
 class RefereeLetterUpload(StudentFileUpload):
@@ -423,5 +423,5 @@
 
 class SecondRefereeLetterSlip(SecondRefereeLetterDisplay):
-    grok.view(ExportPDFClearanceSlipPage)
+    grok.view(ExportPDFClearanceSlip)
 
 class SecondRefereeLetterUpload(StudentFileUpload):
@@ -455,5 +455,5 @@
 
 class ThirdRefereeLetterSlip(ThirdRefereeLetterDisplay):
-    grok.view(ExportPDFClearanceSlipPage)
+    grok.view(ExportPDFClearanceSlip)
 
 class ThirdRefereeLetterUpload(StudentFileUpload):
@@ -487,5 +487,5 @@
 
 class StatutoryDeclarationSlip(StatutoryDeclarationDisplay):
-    grok.view(ExportPDFClearanceSlipPage)
+    grok.view(ExportPDFClearanceSlip)
 
 class StatutoryDeclarationUpload(StudentFileUpload):
@@ -515,5 +515,5 @@
 
 class LetterAdmissionSlip(LetterAdmissionDisplay):
-    grok.view(ExportPDFClearanceSlipPage)
+    grok.view(ExportPDFClearanceSlip)
 
 class LetterAdmissionUpload(StudentFileUpload):