Index: main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py	(revision 13062)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py	(revision 13063)
@@ -28,9 +28,9 @@
 from waeup.kofa.students.browser import (
     StudyLevelEditFormPage, StudyLevelDisplayFormPage,
-    StudentBasePDFFormPage, ExportPDFCourseRegistrationSlipPage,
+    StudentBasePDFFormPage, ExportPDFCourseRegistrationSlip,
     CourseTicketDisplayFormPage, StudentTriggerTransitionFormPage,
     msave, emit_lock_message,
-    StudentActivatePage, StudentDeactivatePage,
-    ExportPDFTranscriptPage)
+    StudentActivateView, StudentDeactivateView,
+    ExportPDFTranscriptSlip)
 from waeup.kofa.students.workflow import (CREATED, ADMITTED, PAID,
     CLEARANCE, REQUESTED, RETURNING, CLEARED, REGISTERED, VALIDATED,
@@ -43,6 +43,6 @@
     NigeriaStudentClearanceEditFormPage,
     NigeriaOnlinePaymentAddFormPage,
-    NigeriaExportPDFPaymentSlipPage,
-    NigeriaExportPDFClearanceSlipPage,
+    NigeriaExportPDFPaymentSlip,
+    NigeriaExportPDFClearanceSlip,
     NigeriaStudentPersonalDisplayFormPage,
     NigeriaStudentPersonalManageFormPage
@@ -111,5 +111,5 @@
         'p_category')
 
-class CustomExportPDFPaymentSlipPage(NigeriaExportPDFPaymentSlipPage):
+class CustomExportPDFPaymentSlip(NigeriaExportPDFPaymentSlip):
     """Deliver a PDF slip of the context.
     """
@@ -121,5 +121,5 @@
 
 
-class CustomExportPDFClearanceSlipPage(NigeriaExportPDFClearanceSlipPage):
+class CustomExportPDFClearanceSlip(NigeriaExportPDFClearanceSlip):
     """Deliver a PDF slip of the context.
     """
@@ -148,5 +148,5 @@
 
 
-class ExportClearanceInvitationSlipPage(UtilityView, grok.View):
+class ExportClearanceInvitationSlip(UtilityView, grok.View):
     """Deliver an invitation letter to physical clearance.
 
@@ -273,6 +273,6 @@
     grok.template('studylevelpage')
 
-class CustomExportPDFCourseRegistrationSlipPage(
-    ExportPDFCourseRegistrationSlipPage):
+class CustomExportPDFCourseRegistrationSlip(
+    ExportPDFCourseRegistrationSlip):
     """Deliver a PDF slip of the context.
     """
@@ -336,5 +336,5 @@
             )
 
-class UnibenExportPDFCourseResultSlipPage(ExportPDFCourseRegistrationSlipPage):
+class UnibenExportPDFCourseResultSlip(ExportPDFCourseRegistrationSlip):
     """Deliver a PDF slip of the context.
     """
@@ -408,5 +408,5 @@
     form_fields = grok.AutoFields(ICourseTicket).omit('score')
 
-class CustomStudentActivatePage(StudentActivatePage):
+class CustomStudentActivateView(StudentActivateView):
     """ Activate student account
     """
@@ -421,5 +421,5 @@
         return
 
-class CustomStudentDeactivatePage(StudentDeactivatePage):
+class CustomStudentDeactivateView(StudentDeactivateView):
     """ Deactivate student account
     """
@@ -433,5 +433,5 @@
         return
 
-class CustomExportPDFTranscriptPage(ExportPDFTranscriptPage):
+class CustomExportPDFTranscriptSlip(ExportPDFTranscriptSlip):
     """Deliver a PDF slip of the context.
     """
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 13062)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 13063)
@@ -791,7 +791,7 @@
             self.app['datacenter'].storage, 'logs', 'students.log')
         logcontent = open(logfile).read()
-        self.assertTrue('zope.mgr - waeup.uniben.students.browser.CustomStudentDeactivatePage - '
+        self.assertTrue('zope.mgr - waeup.uniben.students.browser.CustomStudentDeactivateView - '
                         'B1000000 - account deactivated' in logcontent)
-        self.assertTrue('zope.mgr - waeup.uniben.students.browser.CustomStudentActivatePage - '
+        self.assertTrue('zope.mgr - waeup.uniben.students.browser.CustomStudentActivateView - '
                         'B1000000 - account activated' in logcontent)
 
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/viewlets.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/viewlets.py	(revision 13062)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/viewlets.py	(revision 13063)
@@ -26,5 +26,5 @@
     StudentFileDisplay, StudentFileUpload, StudentImage)
 from waeup.kofa.students.browser import (
-    ExportPDFClearanceSlipPage, StudyCourseDisplayFormPage,
+    ExportPDFClearanceSlip, StudyCourseDisplayFormPage,
     StudyLevelDisplayFormPage, StudentClearanceDisplayFormPage)
 
@@ -106,5 +106,5 @@
 
 class JAMBLetterSlip(JAMBLetterDisplay):
-    grok.view(ExportPDFClearanceSlipPage)
+    grok.view(ExportPDFClearanceSlip)
 
 class JAMBLetterUpload(StudentFileUpload):
@@ -134,5 +134,5 @@
 
 class SecrCultsStatementSlip(SecrCultsStatementDisplay):
-    grok.view(ExportPDFClearanceSlipPage)
+    grok.view(ExportPDFClearanceSlip)
 
 class SecrCultsStatementUpload(StudentFileUpload):
@@ -166,5 +166,5 @@
     Fingerprint minutiae is not printet.
     """
-    grok.view(ExportPDFClearanceSlipPage)
+    grok.view(ExportPDFClearanceSlip)
 
 class LeftThumbPrintUpload(StudentFileUpload):