Index: main/waeup.ikoba/trunk/CHANGES.txt
===================================================================
--- main/waeup.ikoba/trunk/CHANGES.txt	(revision 12995)
+++ main/waeup.ikoba/trunk/CHANGES.txt	(revision 13066)
@@ -4,4 +4,6 @@
 0.2dev (unreleased)
 ===================
+
+* Rename customer views which are not layout-aware and thus not pages.
 
 * Remove quite old bug in `doImport`: Replace empty strings *and* lists with
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/browser/__init__.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/browser/__init__.py	(revision 12995)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/browser/__init__.py	(revision 13066)
@@ -1,8 +1,3 @@
 import os
-
-#from waeup.ikoba.browser.layout import (
-#    IkobaPage, IkobaForm, IkobaLayout, IkobaDisplayFormPage, IkobaEditFormPage,
-#    IkobaAddFormPage, NullValidator)
-#from waeup.ikoba.browser.pages import ContactAdminForm
 
 IMAGE_PATH = os.path.join(
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/browser/layout.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/browser/layout.py	(revision 12995)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/browser/layout.py	(revision 13066)
@@ -166,5 +166,10 @@
     grok.baseclass()
 
-class IkobaForm(UtilityView,Form):
+class IkobaPage(UtilityView,Page):
+    """A megrok.layout page with additional methods.
+    """
+    grok.baseclass()
+
+class IkobaFormPage(UtilityView,Form):
     """A megrok.layout.Form with additional methods.
     """
@@ -172,14 +177,9 @@
 
     def setUpWidgets(self,ignore_request=False):
-        super(IkobaForm,self).setUpWidgets(ignore_request)
+        super(IkobaFormPage,self).setUpWidgets(ignore_request)
         # Width parameters will be overridden by Bootstrap
         # so we have to set the css class
         if self.widgets.get('body'):
             self.widgets['body'].height = 10
-
-class IkobaPage(UtilityView,Page):
-    """A megrok.layout page with additional methods.
-    """
-    grok.baseclass()
 
 class IkobaDisplayFormPage(UtilityView,DisplayForm):
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/browser/pages.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/browser/pages.py	(revision 12995)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/browser/pages.py	(revision 13066)
@@ -44,5 +44,5 @@
 from waeup.ikoba.utils.helpers import html2dict
 from waeup.ikoba.browser.layout import (
-    IkobaPage, IkobaForm, IkobaEditFormPage, IkobaAddFormPage,
+    IkobaPage, IkobaFormPage, IkobaEditFormPage, IkobaAddFormPage,
     IkobaDisplayFormPage, NullValidator)
 from waeup.ikoba.browser.interfaces import (
@@ -361,5 +361,5 @@
 #
 
-class ContactAdminForm(IkobaForm):
+class ContactAdminForm(IkobaFormPage):
     grok.name('contactadmin')
     #grok.context(ICompany)
@@ -1515,5 +1515,5 @@
         return result
 
-class ChangePasswordRequestPage(IkobaForm):
+class ChangePasswordRequestPage(IkobaFormPage):
     """Captcha'd page for all kind of users to request a password change.
     """
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/browser.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/browser.py	(revision 12995)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/browser.py	(revision 13066)
@@ -454,5 +454,5 @@
 
 
-class CustomerActivatePage(UtilityView, grok.View):
+class CustomerActivateView(UtilityView, grok.View):
     """ Activate customer account
     """
@@ -474,5 +474,5 @@
 
 
-class CustomerDeactivatePage(UtilityView, grok.View):
+class CustomerDeactivateView(UtilityView, grok.View):
     """ Deactivate customer account
     """
@@ -1054,5 +1054,5 @@
         return
 
-class PDFDocumentsOverviewPage(UtilityView, grok.View):
+class PDFDocumentsOverviewSlip(UtilityView, grok.View):
     """Deliver an overview slip.
     """
@@ -1111,5 +1111,5 @@
 
 
-class PDFDocumentSlipPage(UtilityView, grok.View):
+class PDFDocumentSlip(UtilityView, grok.View):
     """Deliver pdf file including metadata.
     """
@@ -1141,5 +1141,5 @@
 
 
-class PDFMergeDocumentSlipPage(PDFDocumentSlipPage):
+class PDFMergeDocumentSlip(PDFDocumentSlip):
     """Deliver pdf file including metadata.
     """
@@ -1583,5 +1583,5 @@
         return
 
-class PDFContractsOverviewPage(UtilityView, grok.View):
+class PDFContractsOverviewSlip(UtilityView, grok.View):
     """Deliver an overview slip.
     """
@@ -1641,5 +1641,5 @@
 
 
-class PDFContractSlipPage(UtilityView, grok.View):
+class PDFContractSlip(UtilityView, grok.View):
     """Deliver pdf file including metadata.
     """
@@ -1726,5 +1726,5 @@
 
 
-class PDFContractReceiptPage(UtilityView, grok.View):
+class PDFContractReceiptSlip(UtilityView, grok.View):
     """Deliver pdf file including metadata.
     """
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/fileviewlets.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/fileviewlets.py	(revision 12995)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/fileviewlets.py	(revision 13066)
@@ -32,5 +32,5 @@
     CustomerFilesUploadPage,
     DocumentDisplayFormPage, DocumentManageFormPage, DocumentEditFormPage,
-    PDFDocumentSlipPage,)
+    PDFDocumentSlip,)
 
 grok.templatedir('browser_templates')
@@ -131,5 +131,5 @@
 
 class SampleScanPDFSlip(SampleScanDisplay):
-    grok.view(PDFDocumentSlipPage)
+    grok.view(PDFDocumentSlip)
 
 
@@ -188,3 +188,3 @@
 
 class PDFScanSlip(PDFScanDisplay):
-    grok.view(PDFDocumentSlipPage)
+    grok.view(PDFDocumentSlip)
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py	(revision 12995)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py	(revision 13066)
@@ -550,8 +550,8 @@
         logcontent = open(logfile).read()
         self.assertTrue(
-            'zope.mgr - customers.browser.CustomerDeactivatePage - '
+            'zope.mgr - customers.browser.CustomerDeactivateView - '
             'K1000000 - account deactivated' in logcontent)
         self.assertTrue(
-            'zope.mgr - customers.browser.CustomerActivatePage - '
+            'zope.mgr - customers.browser.CustomerActivateView - '
             'K1000000 - account activated' in logcontent)
 
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/documents/browser.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/documents/browser.py	(revision 12995)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/documents/browser.py	(revision 13066)
@@ -39,5 +39,5 @@
 from waeup.ikoba.browser.layout import (
     IkobaPage, IkobaEditFormPage, IkobaAddFormPage, IkobaDisplayFormPage,
-    IkobaForm, NullValidator, jsaction, action, UtilityView)
+    NullValidator, jsaction, action, UtilityView)
 from waeup.ikoba.widgets.datewidget import (
     FriendlyDateWidget, FriendlyDateDisplayWidget,
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/products/browser.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/products/browser.py	(revision 12995)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/products/browser.py	(revision 13066)
@@ -36,5 +36,5 @@
 from waeup.ikoba.browser.layout import (
     IkobaPage, IkobaEditFormPage, IkobaAddFormPage, IkobaDisplayFormPage,
-    IkobaForm, NullValidator, jsaction, action, UtilityView)
+    NullValidator, jsaction, action, UtilityView)
 from waeup.ikoba.widgets.datewidget import (
     FriendlyDateWidget, FriendlyDateDisplayWidget,