Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/applicant.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/applicant.py	(revision 13031)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/applicant.py	(revision 13073)
@@ -375,5 +375,5 @@
     """If an applicant is removed a message is logged.
     """
-    comment = 'Applicant record removed'
+    comment = 'Application record removed'
     target = applicant.applicant_id
     try:
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 13031)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 13073)
@@ -72,5 +72,5 @@
     grok.require('waeup.Public')
     form_fields = grok.AutoFields(IApplicantsRoot)
-    label = _('Application Section')
+    label = _('Applicant Section')
     pnav = 3
 
@@ -127,5 +127,5 @@
     grok.template('applicantsrootmanagepage')
     form_fields = grok.AutoFields(IApplicantsRoot)
-    label = _('Manage application section')
+    label = _('Manage applicant section')
     pnav = 3
     grok.require('waeup.manageApplication')
@@ -469,5 +469,5 @@
         self.applyData(applicant, **data)
         self.context.addApplicant(applicant)
-        self.flash(_('Applicant record created.'))
+        self.flash(_('Application record created.'))
         self.redirect(
             self.url(self.context[applicant.application_number], 'index'))
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_batching.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_batching.py	(revision 13031)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_batching.py	(revision 13073)
@@ -412,5 +412,5 @@
         # Logging message from handle_applicant_transition_event
         self.assertTrue(
-            'dp2011_1234 - Applicant record removed' in
-            logcontent)
-        shutil.rmtree(os.path.dirname(fin_file))
+            'dp2011_1234 - Application record removed' in
+            logcontent)
+        shutil.rmtree(os.path.dirname(fin_file))
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 13031)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 13073)
@@ -158,5 +158,5 @@
 
     def login(self):
-        # Perform an applicant login. This creates an applicant record.
+        # Perform an applicant login. This creates an application record.
         #
         # This helper also sets `self.applicant`, which is the
@@ -204,5 +204,5 @@
         self.assertRaises(
             LinkNotFoundError,
-            self.browser.getLink, 'Manage application section')
+            self.browser.getLink, 'Manage applicant section')
         self.assertRaises(
             Unauthorized, self.browser.open, self.manage_root_path)
@@ -216,7 +216,7 @@
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
         self.browser.open(self.root_path)
-        self.assertTrue('Manage application section' in self.browser.contents)
+        self.assertTrue('Manage applicant section' in self.browser.contents)
         # There is a manage link
-        link = self.browser.getLink('Manage application section')
+        link = self.browser.getLink('Manage applicant section')
         link.click()
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
@@ -252,5 +252,5 @@
         self.browser.getControl("Save").click()
         self.browser.open(self.root_path)
-        self.assertTrue('Manage application section' in self.browser.contents)
+        self.assertTrue('Manage applicant section' in self.browser.contents)
         # There is a search link
         link = self.browser.getLink('Find applicants')
@@ -562,5 +562,5 @@
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
         self.assertFalse('Search' in self.browser.contents)
-        self.assertFalse('Manage application section' in self.browser.contents)
+        self.assertFalse('Manage applicant section' in self.browser.contents)
         # ... and can't access the manage page
         self.assertRaises(
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/utils.py	(revision 13031)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/utils.py	(revision 13073)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""General helper functions and utilities for the application section.
+"""General helper functions and utilities for the applicant section.
 """
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py	(revision 13031)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py	(revision 13073)
@@ -97,5 +97,5 @@
     grok.view(ApplicantsRootPage)
     grok.require('waeup.manageApplication')
-    text = _('Manage application section')
+    text = _('Manage applicant section')
 
 class ApplicantRegisterActionButton(ManageActionButton):